Package org.optaplanner.benchmark.impl.statistic

## Class ProblemStatistic

- java.lang.Object
- - org.optaplanner.benchmark.impl.statistic.ProblemStatistic

- Direct Known Subclasses:
    `BestScoreProblemStatistic`, `BestSolutionMutationProblemStatistic`, `MemoryUseProblemStatistic`, `MoveCountPerStepProblemStatistic`, `ScoreCalculationSpeedProblemStatistic`, `StepScoreProblemStatistic`

      public abstract class ProblemStatistic
      extends Object

  1 statistic of `ProblemBenchmarkResult`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected org.slf4j.Logger` | `logger` |
    `protected ProblemBenchmarkResult<Object>` | `problemBenchmarkResult` |
    `protected ProblemStatisticType` | `problemStatisticType` |
    `protected List<String>` | `warningList` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `ProblemStatistic()` |
    `protected` | `ProblemStatistic​(ProblemBenchmarkResult problemBenchmarkResult, ProblemStatisticType problemStatisticType)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `accumulateResults​(BenchmarkReport benchmarkReport)` |
    `abstract SubSingleStatistic` | `createSubSingleStatistic​(SubSingleBenchmarkResult subSingleBenchmarkResult)` |
    `protected void` | `fillWarningList()` |
    `String` | `getAnchorId()` |
    `File` | `getGraphFile()` |
    `abstract List<File>` | `getGraphFileList()` |
    `ProblemBenchmarkResult` | `getProblemBenchmarkResult()` |
    `ProblemStatisticType` | `getProblemStatisticType()` |
    `List<SubSingleStatistic>` | `getSubSingleStatisticList()` |
    `List<String>` | `getWarningList()` |
    `void` | `setProblemBenchmarkResult​(ProblemBenchmarkResult problemBenchmarkResult)` |
    `String` | `toString()` |
    `protected File` | `writeChartToImageFile​(org.jfree.chart.JFreeChart chart, String fileNameBase)` |
    `abstract void` | `writeGraphFiles​(BenchmarkReport benchmarkReport)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected final transient org.slf4j.Logger logger

    - #### problemBenchmarkResult

          protected ProblemBenchmarkResult<Object> problemBenchmarkResult

    - #### problemStatisticType

          protected final ProblemStatisticType problemStatisticType

    - #### warningList

          protected List<String> warningList

  - ### Constructor Detail

    - #### ProblemStatistic

          public ProblemStatistic()

    - #### ProblemStatistic

          protected ProblemStatistic​(ProblemBenchmarkResult problemBenchmarkResult,
                                     ProblemStatisticType problemStatisticType)

  - ### Method Detail

    - #### getProblemBenchmarkResult

          public ProblemBenchmarkResult getProblemBenchmarkResult()

    - #### setProblemBenchmarkResult

          public void setProblemBenchmarkResult​(ProblemBenchmarkResult problemBenchmarkResult)

    - #### getProblemStatisticType

          public ProblemStatisticType getProblemStatisticType()

    - #### getAnchorId

          public String getAnchorId()

    - #### getWarningList

          public List<String> getWarningList()

    - #### getSubSingleStatisticList

          public List<SubSingleStatistic> getSubSingleStatisticList()

    - #### createSubSingleStatistic

          public abstract SubSingleStatistic createSubSingleStatistic​(SubSingleBenchmarkResult subSingleBenchmarkResult)

    - #### accumulateResults

          public void accumulateResults​(BenchmarkReport benchmarkReport)

    - #### writeGraphFiles

          public abstract void writeGraphFiles​(BenchmarkReport benchmarkReport)

    - #### fillWarningList

          protected void fillWarningList()

    - #### writeChartToImageFile

          protected File writeChartToImageFile​(org.jfree.chart.JFreeChart chart,
                                               String fileNameBase)

    - #### getGraphFile

          public File getGraphFile()

    - #### getGraphFileList

          public abstract List<File> getGraphFileList()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`